PHP일반 킴스큐 php 버전 질문드립니다.

신고
PHP 5.2 / mysql 5.0 환경에서 킴스큐 rb 1.2 버전을 이용중에 있습니다.PHP 5.5 / mysql 5.5 환경으로 이전할 경우 오류가 발생할까요? 그냥 이전해도 아무 문제가 없는지 궁금합니다.혹은PHP 7.0 / mysql 5.5PHP 7.3 / mysql 5.7 위 환경들로 이전할 경우 오류가 발생할까요? 그리고 1.2 버전에서 지금 개발중이신 2.4.5 버전으로는 마이그레이션 할수있는 툴이나 방법이 제공되는지 궁금합니다.